# Uses of Class
org.eclipse.mat.query.refined.RefinedResultBuilder

Packages that use RefinedResultBuilder
Package
Description
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.

## Uses of RefinedResultBuilder in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return RefinedResultBuilder
Modifier and Type
Method
Description
`RefinedResultBuilder`
SnapshotQuery.`refine(IProgressListener listener)`
Execute the query and return a `RefinedResultBuilder` which allows for filtering, sorting and limiting of the result.